### Signal

# Gtk TextBuffer::insert-paintable

#### Declaration

    void
    insert_paintable (
      GtkTextBuffer* self,
      const GtkTextIter* location,
      GdkPaintable* paintable,
      gpointer user_data
    )

#### Description [src]

Emitted to insert a `GdkPaintable` in a `GtkTextBuffer`.

Insertion actually occurs in the default handler.

Note that if your handler runs before the default handler it must not invalidate the `location` iter (or has to revalidate it). The default signal handler revalidates it to be placed after the inserted `paintable`.

See also: `gtk_text_buffer_insert_paintable()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`location`

  Type: `GtkTextIter`

  Position to insert `paintable` in `textbuffer`.

  The data is owned by the caller of the function.

`paintable`

  Type: `GdkPaintable`

  The `GdkPaintable` to be inserted.

  The data is owned by the caller of the function.